{% extends 'base.html.twig' %}

{% block title %}Profil{% endblock %}

{% block body %}

{% for message in app.flashes('success') %}
<div class="flash-message flash-success">
  {{ message|raw }}
</div>
{% endfor %}

<main class="container mt-0 md:mt-12">

  <div class="overflow-hidden bg-white shadow sm:rounded-lg">
    <div class="px-4 py-5 border-b border-gray-200 sm:px-6">
      <h3 class="text-lg font-medium leading-6 text-gray-900">
        Informations personnelles
      </h3>
      <p class="max-w-2xl mt-1 text-sm leading-5 text-gray-500">
        {% if 'ROLE_BENEVOLE' in app.user.roles %}
          Vous êtes Bénévole
        {% elseif 'ROLE_RESPONSABLE' in app.user.roles and society != null %}
          Vous êtes Responsable de la société <strong class="text-black">{{ society.name }}</strong>
        {% elseif 'ROLE_SALARIE' in app.user.roles and society != null %}
          Vous êtes Salarié de la société <strong class="text-black">{{ society.name }}</strong>
        {% else %}
          Informations de l'utilisateur
        {% endif %}
      </p>
    </div>
    <div>
      <dl>
        <div class="px-4 py-5 bg-gray-50 sm:grid sm:grid-cols-3 sm:gap-4 sm:px-6">
          <dt class="text-sm font-medium leading-5 text-gray-500">
            Adresse email
          </dt>
          <dd class="mt-1 text-sm leading-5 text-gray-900 sm:mt-0 sm:col-span-2">
            {{ app.user.email }}
          </dd>
        </div>
        <div class="px-4 py-5 bg-white sm:grid sm:grid-cols-3 sm:gap-4 sm:px-6">
          <dt class="text-sm font-medium leading-5 text-gray-500">
            Prénom
          </dt>
          <dd class="mt-1 text-sm leading-5 text-gray-900 sm:mt-0 sm:col-span-2">
            {{ app.user.surname }}
          </dd>
        </div>
        <div class="px-4 py-5 bg-gray-50 sm:grid sm:grid-cols-3 sm:gap-4 sm:px-6">
          <dt class="text-sm font-medium leading-5 text-gray-500">
            Nom
          </dt>
          <dd class="mt-1 text-sm leading-5 text-gray-900 sm:mt-0 sm:col-span-2">
            {{ app.user.name }}
          </dd>
        </div>
        <div class="px-4 py-5 bg-white sm:grid sm:grid-cols-3 sm:gap-4 sm:px-6">
          <dt class="text-sm font-medium leading-5 text-gray-500">
            Numéro de téléphone
          </dt>
          <dd class="mt-1 text-sm leading-5 text-gray-900 sm:mt-0 sm:col-span-2">
            {{ app.user.phone }}
          </dd>
        </div>
        <div class="px-4 py-5 bg-gray-50 sm:grid sm:grid-cols-3 sm:gap-4 sm:px-6">
          <dt class="text-sm font-medium leading-5 text-gray-500">
            Je suis un bénévole
          </dt>
          <dd class="mt-1 text-sm leading-5 text-gray-900 sm:mt-0 sm:col-span-2">
            {% if 'ROLE_BENEVOLE' in app.user.roles %}
            <span class="inline-flex px-2 text-xs font-semibold leading-5 text-green-800 bg-green-100 rounded-full"> Oui </span>
            {% else %}
            <span class="inline-flex px-2 text-xs font-semibold leading-5 text-red-800 bg-red-100 rounded-full"> Non </span>
            {% endif %}
          </dd>
        </div>
        <div class="px-4 py-5 bg-white sm:grid sm:grid-cols-3 sm:gap-4 sm:px-6">
          <dt class="text-sm font-medium leading-5 text-gray-500">
            Je suis un exposant (Responsable)
          </dt>
          <dd class="mt-1 text-sm leading-5 text-gray-900 sm:mt-0 sm:col-span-2">
            {% if 'ROLE_RESPONSABLE' in app.user.roles %}
              <span class="inline-flex px-2 text-xs font-semibold leading-5 text-green-800 bg-green-100 rounded-full"> Oui </span>
            {% else %}
              <span class="inline-flex px-2 text-xs font-semibold leading-5 text-red-800 bg-red-100 rounded-full"> Non </span>
            {% endif %}
          </dd>
        </div>
        <div class="px-4 py-5 bg-gray-50 sm:grid sm:grid-cols-3 sm:gap-4 sm:px-6">
          <dt class="text-sm font-medium leading-5 text-gray-500">
            Je participe à la Garden Party
          </dt>
          <dd class="mt-1 text-sm leading-5 text-gray-900 sm:mt-0 sm:col-span-2">
            {% if app.user.gardenParty %}
            <span class="inline-flex px-2 text-xs font-semibold leading-5 text-green-800 bg-green-100 rounded-full"> Oui </span>
            {% else %}
            <span class="inline-flex px-2 text-xs font-semibold leading-5 text-red-800 bg-red-100 rounded-full"> Non </span>
            {% endif %}
          </dd>
        </div>
        <div class="px-4 py-5 bg-white sm:grid sm:grid-cols-3 sm:gap-4 sm:px-6">
          <dt class="text-sm font-medium leading-5 text-gray-500">
            {% if is_granted('ROLE_SUPER_ADMIN') or 'ROLE_BENEVOLE' in app.user.roles %}
                Je propose un hébergement
            {% else %}
                J'ai besoin d'un hébergement
            {% endif %}
          </dt>
          <dd class="mt-1 text-sm leading-5 text-gray-900 sm:mt-0 sm:col-span-2">
            {% if app.user.hosting %}
                <span class="inline-flex px-2 text-xs font-semibold leading-5 text-green-800 bg-green-100 rounded-full"> Oui </span>
            {% else %}
                <span class="inline-flex px-2 text-xs font-semibold leading-5 text-red-800 bg-red-100 rounded-full"> Non </span>
            {% endif %}
          </dd>
        </div>

        <div class="px-4 py-5 bg-gray-50 sm:grid sm:grid-cols-3 sm:gap-4 sm:px-6">
          <dt class="text-sm font-medium leading-5 text-gray-500 flex items-center">
            Actions
          </dt>
          <dd class="flex flex-col mt-1 text-sm leading-5 text-gray-900 md:flex-row sm:mt-0 sm:col-span-2">
            <a class="btn-info" href="{{ path('user_profile_edit', {'id': app.user.id}) }}">Mettre à jour le profil</a>
          </dd>
        </div>
      </dl>
    </div>
  </div>

  <!-- Partie Société -->
  {% if 'ROLE_RESPONSABLE' in app.user.roles or 'ROLE_SALARIE' in app.user.roles and society != null %}
  <div class="overflow-hidden bg-white shadow sm:rounded-lg my-16">
    <div class="px-4 py-5 border-b border-gray-200 sm:px-6">
      <h3 class="text-lg font-bold leading-6 text-gray-900">
        {{ society.name }}
      </h3>
      <p class="max-w-2xl mt-1 text-sm leading-5 text-gray-500">
        Seul les salariés de la société peuvent voir ceci
      </p>
    </div>
    <div>
      <dl>
        <div class="px-4 py-5 bg-gray-50 sm:grid sm:grid-cols-3 sm:gap-4 sm:px-6">
          <dt class="text-sm font-medium leading-5 text-gray-500">
            Nom de la société
          </dt>
          <dd class="mt-1 text-sm leading-5 text-gray-900 sm:mt-0 sm:col-span-2">
            {{ society.name }}
          </dd>
        </div>
        <div class="px-4 py-5 bg-white sm:grid sm:grid-cols-3 sm:gap-4 sm:px-6">
          <dt class="text-sm font-medium leading-5 text-gray-500 flex items-center">
            Logo
          </dt>
          <dd class="mt-1 text-sm leading-5 text-gray-900 sm:mt-0 sm:col-span-2">
            <img class="w-24 h-auto object-cover" src="{{ vich_uploader_asset(society, 'logoFile') }}">
          </dd>
        </div>
        <div class="px-4 py-5 bg-gray-50 sm:grid sm:grid-cols-3 sm:gap-4 sm:px-6">
          <dt class="text-sm font-medium leading-5 text-gray-500">
            Numéro de Siret
          </dt>
          <dd class="mt-1 text-sm leading-5 text-gray-900 sm:mt-0 sm:col-span-2">
            {{ society.siret }}
          </dd>
        </div>
        <div class="px-4 py-5 bg-white sm:grid sm:grid-cols-3 sm:gap-4 sm:px-6">
          <dt class="text-sm font-medium leading-5 text-gray-500">
            Adresse du siège de la société
          </dt>
          <dd class="mt-1 text-sm leading-5 text-gray-900 sm:mt-0 sm:col-span-2">
            {{ society.address }}
          </dd>
        </div>
        <div class="px-4 py-5 bg-gray-50 sm:grid sm:grid-cols-3 sm:gap-4 sm:px-6">
          <dt class="text-sm font-medium leading-5 text-gray-500">
            Catégorie d'exposant
          </dt>
          <dd class="mt-1 text-sm leading-5 text-gray-900 sm:mt-0 sm:col-span-2">
            {{ society.exhibitor }}
          </dd>
        </div>

        {% if 'ROLE_RESPONSABLE' in app.user.roles %}
        <div class="px-4 py-5 bg-white sm:grid sm:grid-cols-3 sm:gap-4 sm:px-6">
          <dt class="text-sm font-medium leading-5 text-gray-500 flex items-center">
            Actions
          </dt>
          <dd class="flex flex-col mt-1 text-sm leading-5 text-gray-900 md:flex-row sm:mt-0 sm:col-span-2">
            <a class="btn-info" href="{{ path('society_edit', {'id': society.id}) }}">Mettre à jour la société</a>
          </dd>
        </div>
        {% endif %}
      </dl>
    </div>
  </div>
  {% endif %}



  <!-- Partie Bénévole -->
  {% if is_granted('ROLE_BENEVOLE') %}
      <div class="overflow-hidden bg-white shadow sm:rounded-lg my-16">
        <div class="px-4 py-5 border-b border-gray-200 sm:px-6">
          <h3 class="text-lg font-bold leading-6 text-gray-900">
            Informations liées à votre rôle de bénévole
          </h3>
        </div>
        <div>
          <dl>
            <div class="px-4 py-5 bg-gray-50 sm:grid sm:grid-cols-3 sm:gap-4 sm:px-6">
              <dt class="text-sm font-medium leading-5 text-gray-500">
                Adresse
              </dt>
              <dd class="mt-1 text-sm leading-5 text-gray-900 sm:mt-0 sm:col-span-2">
                {{ volunteer.address }}
              </dd>
            </div>
            <div class="px-4 py-5 bg-white sm:grid sm:grid-cols-3 sm:gap-4 sm:px-6">
              <dt class="text-sm font-medium leading-5 text-gray-500 flex items-center">
                J'ai besoin d'un tee-shirt
              </dt>
              <dd class="mt-1 text-sm leading-5 text-gray-900 sm:mt-0 sm:col-span-2">
                {% if volunteer.haveTeeShirt %}
                    <span class="inline-flex px-2 text-xs font-semibold leading-5 text-green-800 bg-green-100 rounded-full"> Oui </span>
                {% else %}
                    <span class="inline-flex px-2 text-xs font-semibold leading-5 text-red-800 bg-red-100 rounded-full"> Non </span>
                {% endif %}
              </dd>
            </div>
            {% if volunteer.haveTeeShirt %}
                <div class="px-4 py-5 bg-gray-50 sm:grid sm:grid-cols-3 sm:gap-4 sm:px-6">
                  <dt class="text-sm font-medium leading-5 text-gray-500">
                    Taille du tee-shirt
                  </dt>
                  <dd class="mt-1 text-sm leading-5 text-gray-900 sm:mt-0 sm:col-span-2">
                    {{ volunteer.sizeTeeShirt }}
                  </dd>
                </div>
            {% endif %}

            <div class="px-4 py-5 bg-white sm:grid sm:grid-cols-3 sm:gap-4 sm:px-6">
              <dt class="text-sm font-medium leading-5 text-gray-500 flex items-center">
                Actions
              </dt>
              <dd class="flex flex-col mt-1 text-sm leading-5 text-gray-900 md:flex-row sm:mt-0 sm:col-span-2">
                <a class="btn-info" href="{{ path('volunteer_profile_edit', {'id': volunteer.id}) }}">Mettre à jour</a>
              </dd>
            </div>
          </dl>
        </div>
  {% endif %}
</main>

{% endblock %}
